Eclipse BIRT Report Object Model (ROM)

OdaLevel Element

# Element Overview

Level elements within an ODA hierarchy.

### Details

Display Name: | ODA Level
Since: | 2.2
XML Element: | `oda-level`
Extends: | Level
Extendable: | No
Abstract: | No
Name Space: | Styles
Name Requirement: | Required
Allows User Properties: | Yes
Has Style: | No

### Property Summary

attributes
  List of attributes defined for this level element.

### Inherited Properties

comments, customXml, dataType, dateTimeFormat, dateTimeLevelType, defaultValue, displayName, displayNameID, eventHandlerClass, extends, interval, intervalBase, intervalRange, levelType, name, newHandlerOnEachEvent, propertyMasks, staticValues, userProperties, viewAction

### Description

The ODA level is an element that defined the column expression from the ODA dataset.You can also set sort, filter, TOC on the level. The column expression defined on the level could be dynamic reference to a dataset, also it could be static that user defined on the level by a value list.

# Property Detail

## attributes Property

List of attributes defined for this level element.

### Details

Type: | List of OdaLevelAttribute Structures
Since: | 2.2
Required: | No
Display Name: | Attributes
JavaScript Type: |
Default Value: | None
Inherited: | Yes
Runtime Settable: | No
Property Sheet Visibility: | Hidden
Property Sheet Group: | Top

### Description

List of attributes defined for this level element. Each attribute inside is a string which refer to an ODA dataset column name.